﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Vintagestory.API;
using Vintagestory.API.Client;
using Vintagestory.API.Common;
using Vintagestory.API.Common.Entities;
using Vintagestory.API.Datastructures;
using Vintagestory.API.MathTools;
using Vintagestory.API.Server;

namespace jarblock
{
    public class jlj : ModSystem
    {

        private ICoreServerAPI api;
        
        public override void StartServerSide(ICoreServerAPI api)
        {
            base.Start(api);
            api.RegisterItemClass("itemJar", typeof(ItemJar));
            
        }

        
    }

    public class ItemJar : Item
    {
        public override void OnHeldInteractStart(ItemSlot slot, EntityAgent byEntity, BlockSelection blockSel, EntitySelection entitySel, bool firstEvent, ref EnumHandHandling handling)
        {
            handling = EnumHandHandling.Handled;
        }

        public override bool OnHeldInteractStep(float secondsUsed, ItemSlot slot, EntityAgent byEntity, BlockSelection blockSel, EntitySelection entitySel)
        {
            if (byEntity.World is IClientWorldAccessor)
            {
                if (entitySel.Entity.GetName() == "firefly")
                {
                    System.Diagnostics.Debug.Write("FIREFLY");
                }
            }
            
            return base.OnHeldInteractStep(secondsUsed, slot, byEntity, blockSel, entitySel);
        }

    }
}
